Subject: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

From: Ron Bonica <[email-masked]>
Date: Mon, 14 Oct 2019 18:35:49 +0000

Authors,

The USP flavor of the END, END.X and END.T functions isn't needed.

USP is the default IPv6 behavior. So, if the source node specifies SID[0] as an RFC 4291 address on the SR egress node, you get the USP behavior for free.

                                                           Ron

Juniper Business Use Only

---

From: Ron Bonica <[email-masked]>
Date: Mon, 14 Oct 2019 23:03:05 +0000

Authors,

Sorry, I meant to say USD, not USP.

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

                                                           Ron

---

From: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>
Date: Mon, 14 Oct 2019 23:55:14 +0000

I think the USD action May be necessary, because it is relative to SRv6 SID as last SID in SRH, not to related to plain ipv6 address (RFC4291);

As plain IPv6 address in DA field of IPv6 packet, it is default behavior for Node identified by DA to further Decapsulate packet in this case.

--------------------------------------
Cheers !

WANG Weibin

From: spring <[email-masked]> On Behalf Of Ron Bonica
Sent: 2019年10月15日 7:03
To: SPRING WG List <[email-masked]>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

                         Ron

Juniper Business Use Only
From: Ron Bonica
Sent: Monday, October 14, 2019 2:36 PM
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

The USP flavor of the END, END.X and END.T functions isn’t needed.

                                                           Ron

---

From: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>
Date: Tue, 15 Oct 2019 00:12:40 +0000

Hi Ron;

It is my understanding, as long as the IPv6 address is a SRv6 SID, then we must newly define its processing rules; but I don’t know if it is intent of Authors.

WANG Weibin

From: Wang, Weibin (NSB - CN/Shanghai)
Sent: 2019年10月15日 7:55
To: 'Ron Bonica' <rbonica=[email-masked]>; SPRING WG List <[email-masked]>
Subject: RE: draft-ietf-spring-srv6-network-programming :Section 4.16.2

WANG Weibin

From: spring <[email-masked]<mailto:[email-masked]>> On Behalf Of Ron Bonica
Sent: 2019年10月15日 7:03
To: SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Authors,

                         Ron

Authors,

                                                           Ron

---

From: li zhenqiang <[email-masked]>
Date: Tue, 15 Oct 2019 07:05:39 +0000

Where are the authors? Why should we guess here? I think the authors should involve in the discussion more actively, not just posting a new version. We are all working hard together to polish and impove the draft.

Best Regards,
Zhenqiang Li
________________________________
[email-masked]

发件人： Wang, Weibin (NSB - CN/Shanghai)<mailto:[email-masked]>
发送时间： 2019-10-15 08:12
收件人： Ron Bonica<mailto:rbonica=[email-masked]>; SPRING WG List<mailto:[email-masked]>
主题： Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2
Hi Ron;

WANG Weibin

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron

---

From: li zhenqiang <[email-masked]>
Date: Tue, 15 Oct 2019 07:18:56 +0000

No, USD is not needed in my understanding. The destination node which is pointed by the DA in the outer IPv6 header knows what it should do when it receives a packet whose DA is in its local SID table.

More discussion are needed for the flavor part in the draft.

Best Regards,
Zhenqiang Li

发送时间： 2019-10-15 07:55

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron

---

From: Ron Bonica <[email-masked]>
Date: Tue, 15 Oct 2019 14:54:42 +0000

+1

Juniper Business Use Only
From: li zhenqiang <[email-masked]>
Sent: Tuesday, October 15, 2019 3:06 AM
To: Wang, Weibin (NSB - CN/Shanghai) <[email-masked]>; Ron Bonica <[email-masked]>; [email-masked]
Cc: draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: 回复: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2

Best Regards,
Zhenqiang Li
________________________________
[email-masked]<mailto:[email-masked]>

WANG Weibin

From: Wang, Weibin (NSB - CN/Shanghai)
Sent: 2019年10月15日 7:55
To: 'Ron Bonica' <rbonica=[email-masked]<mailto:rbonica=[email-masked]>>; SPRING WG List <[email-masked]<mailto:[email-masked]>>
Subject: RE: draft-ietf-spring-srv6-network-programming :Section 4.16.2

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Tue, 15 Oct 2019 16:44:20 +0000

Li, Ron,

The first email of this thread has been sent less than 24 hours ago.

Pablo.

From: Ron Bonica <[email-masked]>
Date: Tuesday, 15 October 2019 at 16:55
To: li zhenqiang <[email-masked]>, "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: draft-ietf-spring-srv6-network-programming <[email-masked]>
Subject: RE: 回复: Re: [spring] draft-ietf-spring-srv6-network-programming :Section 4.16.2
Resent from: <[email-masked]>
Resent to: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent date: Tuesday, 15 October 2019 at 16:55

+1

Best Regards,
Zhenqiang Li

WANG Weibin

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron

---

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Tue, 15 Oct 2019 16:46:31 +0000

Li,

Please read https://mailarchive.ietf.org/arch/msg/spring/YCIGjvgPDwSibW2BjX7aXDLUQMc. I believe that should help you understand more.

Cheers,
Pablo.

From: spring <[email-masked]> on behalf of li zhenqiang <[email-masked]>
Date: Tuesday, 15 October 2019 at 09:20
To: "Wang, Weibin (NSB - CN/Shanghai)" <[email-masked]>, Ron Bonica <rbonica=[email-masked]>, "[email-masked]" <[email-masked]>
Subject: [spring] 回复: Re: draft-ietf-spring-srv6-network-programming :Section 4.16.2

Best Regards,
Zhenqiang Li

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron

---

From: li zhenqiang <[email-masked]>
Date: Thu, 17 Oct 2019 03:54:13 +0000

I followed the disussion and got no useful and clear answer.

Best Regards,
Zhenqiang Li

发件人： Pablo Camarillo (pcamaril)<mailto:[email-masked]>
发送时间： 2019-10-16 00:46
收件人： li zhenqiang<mailto:[email-masked]>; Wang, Weibin (NSB - CN/Shanghai)<mailto:[email-masked]>; Ron Bonica<mailto:rbonica=[email-masked]>; [email-masked]<mailto:[email-masked]>
主题： Re: [spring] 回复: Re: draft-ietf-spring-srv6-network-programming :Section 4.16.2
Li,

Cheers,
Pablo.

Best Regards,
Zhenqiang Li

WANG Weibin

Authors,

                         Ron

Authors,

                                                           Ron